summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Stu Miller2014-01-17 18:23:22 +0100
committer Erik Hanson2014-01-30 06:21:05 +0100
commitc9df0cc2f74b193c6b745c9a2ae87e4399374157 (patch)
tree6d33b86225da8de315c5d05dddc8fb2c5532287c /system
parentebbb198b42f55b72152d86d40fdcd35e76cd1e2f (diff)
downloadslackbuilds-c9df0cc2f74b193c6b745c9a2ae87e4399374157.tar.gz
system/idle3-tools: Added (Linux/Unix Utility for WD Drives).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/idle3-tools/README20
-rw-r--r--system/idle3-tools/idle3-tools.SlackBuild100
-rw-r--r--system/idle3-tools/idle3-tools.info10
-rw-r--r--system/idle3-tools/slack-desc19
4 files changed, 149 insertions, 0 deletions
diff --git a/system/idle3-tools/README b/system/idle3-tools/README
new file mode 100644
index 0000000000..c7b720f8b8
--- /dev/null
+++ b/system/idle3-tools/README
@@ -0,0 +1,20 @@
+Idle3-tools provides a linux/unix utility that can disable, get and set the
+value of the infamous idle3 timer found on recent Western Digital Hard Disk
+Drives.
+
+It can be used as an alternative to the official wdidle3.exe proprietary
+utility, without the need to reboot in a DOS environement.
+
+A power off/on cycle of the drive will still be mandatory for new settings
+to be taken into account.
+
+Modern Western Digital "Green" Drives include the Intellipark feature that
+stops the disk when not in use. Unfortunately, the default timer setting is
+not perfect on linux/unix systems, including many NAS, and leads to a dramatic
+increase of the Load Cycle Count value (SMART attribute #193).
+
+Idle3-tools is an independant project, unrelated in any way to
+Western Digital Corp.
+
+WARNING : THIS SOFTWARE IS EXPERIMENTAL AND NOT WELL TESTED. IT ACCESSES LOW
+LEVEL INFORMATION OF YOUR HARDDRIVE. USE AT YOUR OWN RISK.
diff --git a/system/idle3-tools/idle3-tools.SlackBuild b/system/idle3-tools/idle3-tools.SlackBuild
new file mode 100644
index 0000000000..336455e06c
--- /dev/null
+++ b/system/idle3-tools/idle3-tools.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for idle3-tools - This linux/unix utility can
+# be used to remove or set the infamous idle3 timer found on recent
+# Western Digital Hard Disk Drives.
+
+# Maintained by Stu Miller <slackbuilds@go4it2day.com>
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following disclaimer
+# in the documentation and/or other materials provided with the
+# distribution.
+# * Neither the name of the {company} nor the names of its
+# contributors may be used to endorse or promote products derived from
+# this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=idle3-tools
+VERSION=${VERSION:-0.9.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $TMP/$PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz || exit 1
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+sed -i 's|$(manprefix)/share/man|$(manprefix)/man|' Makefile
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/idle3-tools/idle3-tools.info b/system/idle3-tools/idle3-tools.info
new file mode 100644
index 0000000000..9e5a48073a
--- /dev/null
+++ b/system/idle3-tools/idle3-tools.info
@@ -0,0 +1,10 @@
+PRGNAM="idle3-tools"
+VERSION="0.9.1"
+HOMEPAGE="http://idle3-tools.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/idle3-tools/idle3-tools-0.9.1.tgz"
+MD5SUM="797d8775b80b7b7b67a1f8b0a5b41f30"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Stu Miller"
+EMAIL="slackbuilds@go4it2day.com"
diff --git a/system/idle3-tools/slack-desc b/system/idle3-tools/slack-desc
new file mode 100644
index 0000000000..d94b1e5821
--- /dev/null
+++ b/system/idle3-tools/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+idle3-tools: Idle3-tools (Linux/Unix Utility for WD Drives)
+idle3-tools:
+idle3-tools: Idle3-tools provides a linux/unix utility that can disable, get and
+idle3-tools: set the value of the infamous idle3 timer found on recent Western
+idle3-tools: Digital Hard Disk Drives.
+idle3-tools:
+idle3-tools: Home: http://http://idle3-tools.sourceforge.net/
+idle3-tools:
+idle3-tools:
+idle3-tools:
+idle3-tools: